Class | Chef::RunList
In: | lib/chef/run_list/versioned_recipe_list.rb lib/chef/run_list/run_list_expansion.rb lib/chef/run_list/run_list_item.rb lib/chef/run_list.rb
Parent: | Object

### Methods

<< == [] []= coerce_to_run_list_item delete each each_index empty? expand expansion_for_data_source include? new parse_entry push recipe_names recipes remove reset! role_names roles to_json to_s

### Included Modules

Enumerable Chef::Mixin::ParamsValidate

### Classes and Modules

Class Chef::RunList::RunListExpansion
Class Chef::RunList::RunListExpansionFromAPI
Class Chef::RunList::RunListExpansionFromCouchDB
Class Chef::RunList::RunListExpansionFromDisk
Class Chef::RunList::RunListItem
Class Chef::RunList::VersionedRecipeList

### External Aliases

run_list_items | -> | run_list
| For backwards compat

### Attributes

run_list_items | [R] | @run_list_items is an array of RunListItems that describe the items to execute in order. RunListItems can load from and convert to the string forms users set on roles and nodes. For example:
      @run_list_items = ['recipe[foo::bar]', 'role[webserver]']
Thus,
      self.role_names would return ['webserver']
      self.recipe_names would return ['foo::bar']

### Public Class methods

new(*run_list_items)

### Public Instance methods

<<(run_list_item)

Add an item of the form "recipe[foo::bar]" or "role[webserver]"; takes a String or a RunListItem

==(other)
[](pos)
[]=(pos, item)
coerce_to_run_list_item(item)
delete(item)

Alias for remove

each(&block)
each_index(&block)
empty?()
expand(environment, data_source='server', expansion_opts={})

Expands this run_list: recursively expand roles into their included recipes. Returns a RunListExpansion object.

expansion_for_data_source(environment, data_source, opts={})
include?(item)
parse_entry(entry)

Converts a string run list entry to a RunListItem object.

push(run_list_item)

Alias for #<<

recipe_names()
recipes()

Alias for recipe_names

remove(item)
reset!(*args)
role_names()
roles()

Alias for role_names

to_json(*args)
to_s()

[Validate]